Plan de coupe Arch

From FreeCAD Documentation
Jump to: navigation, search
This page is a translated version of the page Arch SectionPlane and the translation is 100% complete.

Other languages:
čeština • ‎Deutsch • ‎English • ‎español • ‎français • ‎italiano • ‎日本語 • ‎română • ‎русский • ‎svenska • ‎Türkçe • ‎українська
Arrow-left.svg Page précédente: Arch Window.svg Fenêtre
Page suivante: Axes Arch CompAxis.png Arrow-right.svg

Arch SectionPlane.svg Plan de coupe

Emplacement du menu
Architecture → Plan de coupe
Ateliers
Arch
Raccourci par défaut
S P
Introduit dans la version
-
Voir aussi
Projection 2D d'une forme, Nouvelle vue Arch TechDraw


Description

Cet outil place dans le document courant un objet qui définit un plan de coupe ou une vue. Le plan de coupe adopte l'orientation du plan de travail courant et peut être déplacé et réorienté jusqu'à ce qu'il décrive la vue 2D que vous souhaitez obtenir. L'objet plan de coupe ne calculera que les objets qui ont été sélectionnés lorsqu'il a été créé. Des objets peuvent ensuite être ajoutés ou supprimés d'un plan de coupe avec les outils Arch Addition et Arch Soustraire, ou cliquez deux fois sur Section Plane dans la vue 3D.

L'outil Section Plane utilisé seul ne créera aucune vue des objets définis. Pour cela, vous devez créer une Vue dessin pour créer une vue dans la page Mise en plan, utilisez Projection 2D d'une forme pour créer une vue dans le document 3D lui-même ou une Nouvelle vue Arch TechDraw pour créer une vue dans une page de l' Atelier TechDraw.

Arch SectionPlane example

Utilisation

  1. Optionnellement activez plan de travail pour représenter le plan que vous voulez placer dans Section Plane.
  2. Sélectionnez l'objet ou les objets à inclure dans le plan.
  3. Appuyez sur le bouton Arch SectionPlane.svg Plan de coupe ou pressez les touches S, et, P.
  4. Utilisez les touches Déplacez/Pivotez pour placer le plan dans sa position correcte.
  5. Sélectionnez le plan s'il n'est pas sélectionné.
  6. Utilisez les fonctions Drawing DraftView, Draft Shape2DView ou TechDraw ArchView pour créer une vue.

Options

  • L'objet Section Plane ne prendra qu'un certain nombre d'objets, pas tous les objets du document. Les objets peuvent être ajoutés ou supprimés à partir d'un objet SectionPlane en utilisant les outils Arch Add et Arch Remove, en double-cliquant sur le Section Plane dans la vue 3D, ou en sélectionnant des objets dans l'arborescence de la vue combinée, puis appuyez sur les boutons Ajouter ou Supprimer.
  • Après avoir sélectionné un plan de coupe, utilisez l'outil de Draft Projection 2D d'une forme pour créer un objet shape qui représente l'affichage du plan de coupe dans le document

Arch Section

Arch Section example3.jpg

  • Le plan de coupe peut également être utilisé pour afficher toute la vue 3D coupée par un plan infini. Ceci est seulement visuel, et n'affectera pas la géométrie des objets coupés.

Arch SectionPlane CutView.jpg

Propriétés

  • DONNÉESOnly Solids: S'il est activé, les objets non solides comppris dans l'ensemble ne seront pas pris en charge
  • VUEDisplay Length: Donne la longueur du Section Plane dans la vue 3D. N'affecte pas le résultat de la vue résultante.
  • VUEDisplay Height: Donne hauteur du Section Plane dans la vue 3D. N'affecte pas le résultat de la vue résultante.
  • VUEArrow Size: Donne la dimension des flèches du Section Plane dans la vue 3D. N'affecte pas le résultat de la vue résultante.
  • VUECut View: S'il est activé True, toute la vue 3D sera coupée à l'emplacement du Section Plane.
  • VUEClip view: S'il est activé True, il coupera la vue à la hauteur et à la longueur de l'affichage du plan de coupe. Cela transforme effectivement le plan de coupe en une caméra orthographique, limitant le champ de vision.Disponible dans la version 0.19

Arch SectionPlane ClipView.png

Le plan de coupe Arch avec l'option de vue Clip se comportera comme une caméra, limitant le champ de vision de la vue.


Script

Voir aussi: API et Débuter avec les scripts.

L'outil plan de coupe peut servir dans une macro et à partir de la console Python en utilisant la fonction suivante :

Section = makeSectionPlane(objectslist=None, name="Section")
  • Crée un objet Section à partir de objectlist qui est une liste d'objets.

Exemple :

import FreeCAD, Draft, Arch

p1 = FreeCAD.Vector(0, 0, 0)
p2 = FreeCAD.Vector(2000, 0, 0)
baseline = Draft.makeLine(p1, p2)
baseline2 = Draft.makeLine(p1, -1*p2)

Wall1 = Arch.makeWall(baseline, length=None, width=150, height=2000)
Wall2 = Arch.makeWall(baseline2, length=None, width=150, height=1800)
Structure = Arch.makeStructure(length=1000, width=1000, height=200)
FreeCAD.ActiveDocument.recompute()

BuildingPart = Arch.makeBuildingPart([Wall1, Wall2])

Floor = Arch.makeFloor([BuildingPart])
Building = Arch.makeBuilding([Floor, Structure])
Site = Arch.makeSite(Building)
FreeCAD.ActiveDocument.recompute()

Section1 = Arch.makeSectionPlane([Wall1, Wall2])
Section2 = Arch.makeSectionPlane([Structure])
Section3 = Arch.makeSectionPlane([Site])
FreeCAD.ActiveDocument.recompute()
Arrow-left.svg Page précédente: Arch Window.svg Fenêtre
Page suivante: Axes Arch CompAxis.png Arrow-right.svg